package com.nisum.task.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Document
@Data
public class BPN {

    private ObjectId id;
    private String bpn;
    private String rog;
    private String fac;
    private String forceOptCd;
    private Date firstEffectiveDate;
    private Date lasttEffectiveDate;
    private String bpnStatus;
    private String bpnProcessMessage;
    private Date createdTime;
    private Date updatedTime;
    private String createdBy;
    private String updatedBy;

}
