package com.nisum.task.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;


@Builder
@AllArgsConstructor
@NoArgsConstructor
@Document
@Data
public class SMIC {
    private ObjectId id;
    private String group;
    private String category;
    private String smicClass ;
    private String subClass;
        private String fac;
    private String forceOptCd;
    private Date firstEffectiveDate;
    private Date lasttEffectiveDate;
    private Date smicDescription;
    private Date comment;
    private String createdBy;
    private String updatedBy;
    private Date createdTime;
    private Date updatedTime;

}
